################################################################
# proc buildGUI {height}--
#    Create the application GUI
# Arguments
#   height	: The initial height of the lander
# 
# Results
#   Creates scale widget, attached to "burn" variable.
#   Creates button to initiate simulation.
#   Creates a canvas and displays an empty X/Y graph

proc buildGUI {height} {
    global ready planet Gravities gravity
    
    wm title . "Lunar Lander"

    set gravity 1.7
    set ready 0

    set w [labelframe .lfb -text "Fuel per second to burn"]
    grid .lfb -row 1 -column 1 -sticky ew -columnspan 2
    entry $w.burn -textvariable burn
    grid $w.burn
    
    button .b -text "Go" -command "set ready 1"
    grid .b -row 1 -column 3

    set col 0

    foreach txt {Speed Fuel Height} var {speed fuel ht}  {
      set w [labelframe .lf$var -text $txt]
      grid $w -row 2 -column [incr col]
      set w [label $w.l-$var -textvariable $var -width 8]
      grid $w
    }
}

################################################################
# proc showState {i speed fuel ht}--
#    Displays an oval on the canvas scaled for speed and weight and 
#    located for height and  time.
# Arguments
#   i		The time in seconds
#   speed	The speed in meters/second
#   fuel	The mass of fuel remaining
#   ht		The height of the lander in meters
# Results
#   Updates the display.
#   Creates a binding on the new oval to display details.

proc + {a b} {
    return [expr $a + $b]
}    
proc - {a b} {
    return [expr $a - $b]
}    

proc showState {} {
}

