#
# Run this TCL script to generate HTML for the index.html file.
#
set rcsid {$Id: index.tcl,v 1.5 2000/10/21 00:32:27 drh Exp $}

puts {<html>
<head><title>TOBE: Tk as One Big Executable</title></head>
<body bgcolor=white>
<h1 align=center>Tobe<br>
<u>T</u>cl as <u>O</u>ne <u>B</u>ig <u>E</u>xecutable</h1>
<p align=center><small>}
puts "This page was last modified on [lrange $rcsid 3 4] GMT<br>"
set vers [lindex $argv 0]
puts "The latest Tobe version is <b>$vers</b>"
puts " created on [exec cat last_change] GMT"
puts {</small></p>}

puts {<h2>Introduction</h2>

<p>Tobe is a quick and easy way to bundle the Tcl/Tk interpreter,
several popular Tcl extensions, and an arbitrary collection of Tcl
scripts together into a single standalone executable.  Here is
a partial feature list:</p>

<p>
<ul>
<li>A statically-linked standalone executable: no external DLLs or shared
    libraries required.</li>
<li>Includes popular Tcl extensions:
    <ul>
    <li>BLT</li>
    <li>Img</li>
    <li>TkHtml</li>
    <li>TkTable</li>
    <li>TLink (windows only)</li>
    <li>SQLite</li>
    <li>Winico (windows only)</li>
    <li>ZVFS</li>
    </ul></li>
<li>Tcl scripts are attached to the executable as a ZIP archive.  Use any
    ZIP archiver program (ex: pkzip) to add, remove, or modify scripts.</li>
<li>Windows versions built using the mingw32 cross-compiler 
    hosted on Linux.</li>
</ul>
</p>

<h2>Current Status</h2>

<p>A <a href="changes.html">change history</a> is available online.</p>

<p>Tobe and this website are currently in development and are incomplete.
Check back later for more up-to-date information.</p>

<h2>Download</h2>

<p>Source code to Tobe is available for download below.  Precompiled
binaries are not currently available.  The source code does not includes
the sources to Tcl/Tk or the larger extensions.  But the ZVFS, Winico, and
TLink sources are included.</p>

<p><ul>
}

proc download {file {name {}}} {
  if {$name==""} {set name $file}
  puts "<li><p><a href=\"$file\">$name</a> ([file size $file] bytes)</p></li>"
}

download tobe.tar.gz

puts {</ul></p>

<h2>Links</h2>

<ul>
<li><p>
<a href="http://www.hwaci.com/sw/mktclapp/">Mktclapp</a> is a program
that helps mix C or C++ together with Tcl/Tk to build a standalone
executable.</p></li>

<li><p>
<a href="http://home.nycap.rr.com/dlabelle/freewrap/freewrap.html">
FreeWrap</a> by Dennis Labelle is another program that can be used to
turn Tcl/Tk scripts into standalone executables.  Dennis also makes
available the 
<a href="http://home.nycap.rr.com/dlabelle/freedelivery/freedelivery.html">
freeDelivery</a> installer program based on freeWrap.</p></li>

<li><p>
The idea of using a ZIP archiver to attach scripts to an executable
is due to Jan Nijtmans.  Jan makes available a program called
"<a href="http://members1.chello.nl/~j.nijtmans/wrap.html">wrap</a>"
that works very much like Tobe.  Some of the code in the ZVFS of
Tobe is based on Jan's wrap program.</p></li>
}
proc linkto {url} {
  return "<a href=\"$url\">$url</a>"
}

puts "
<li><p>
Additional information about Tcl/Tk is available at
[linkto http://dev.scriptics.com/]
</p></li>

<li><p>
Information about the BLT extension is available at
[linkto http://www.tcltk.com/blt/]
</p></li>

<li><p>
Information about the Img extension is available at
[linkto http://members1.chello.nl/~j.nijtmans/img.html]
</p></li>

<li><p>
Information about the SQLite extension is available at
[linkto http://www.hwaci.com/sw/sqlite/tclsqlite.html]
</p></li>

<li><p>
Information about the TkHtml extension is available at
[linkto http://www.hwaci.com/sw/tkhtml/]
</p></li>

<li><p>
Information about the TkTable extension is available at
[linkto http://www.hobbs.wservice.com/tcl/capp/]
</p></li>

<li><p>
Information about the TLink extension is available at
[linkto http://www.sensus.org/tcl/]
</p></li>

<li><p>
Information about the ZVFS extension is available at
[linkto http://www.hwaci.com/sw/tobe/zvfs.html]
</p></li>
"

puts {
</ul>
}

puts {
<p><hr /></p>
<p>
<a href="../index.html"><img src="/goback.jpg" border=0 />
More Open Source Software</a> from Hwaci.
</p>

</body></html>}
